Bug 566670 - Bluetooth loses mouse randomly after hibernate/resume
Bluetooth loses mouse randomly after hibernate/resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-19 05:53 EST by Johan Vromans
Modified: 2010-06-28 16:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Johan Vromans 2010-02-19 05:53:55 EST
Description of problem:

Toshiba Sattellite A200-237 notebook, bluetooth mouse. Gnome.

Version-Release number of selected component (if applicable):

Fedora 11 with all updates as of to date.

The problem: After hibernate/resume, the mouse suddenly stops working after a while. This seems independent on what is going on, I have had the mouse stopping while I was using is, but also after a period of inactivity.

When I chvt to the console most of the times the mouse there works. chvt back again to X makes the mouse functional again for a while.

There are no messages written in the system logs when this happens. As far as the mouse is concerned it is connected and the light of the bluetooth dongle flickers while moving the mouse, indicating a working connection.

Disconnecting and reconnecting does not help, removing the BT dongle and inserting it again does not help either. De mouse gets connected (according to the system log messages) but remains non-functional until I chvt away and back again.

Having to chvt all of the time quickly becomes very annoying.
Comment 1 Bastien Nocera 2010-02-19 06:35:43 EST
If you have to chvt, my guess is that the mouse might be getting disconnected.

You should check the Xorg logs for the mouse appearing/disappearing (though that would probably appear in /var/log/messages anyway), and check the mouse's batteries.

If all that fails to show anything in particular, try using hcidump to see what traffic is happening on the bluetooth side.
Comment 2 Johan Vromans 2010-02-20 07:31:10 EST
After resume, hcidump starts normally but shows no traffic at all.
When I disconnect the mouse and reconnects (using the Gnome applet) hcidump shows the protocol messages but still no traffic.
Then I disconnect the BT dongle and reconnect it. Now I can reconnect the mouse and hcidump (after having been restarted) shows a lot of traffic when moving the mouse. However, I still do not have a mouse in X.
Changing vt to 1 and back to 7 makes the mouse working in X.

After a long while of inactivity the mouse is lost again. hcidump shows a lot of traffic but the mouse is not available in X. Changing vt makes the mouse working again.

All this time Xorg.0.log does not show any message whatsoever (I have a permanent taif -f running).
Comment 3 Bug Zapper 2010-04-28 07:52:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 11:41:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Johan Vromans 2010-06-28 16:28:30 EDT
This problem still exists in F13.

Note You need to log in before you can comment on or make changes to this bug.